import WidgetBase from '@dojo/framework/core/WidgetBase';
import { tsx } from "@dojo/framework/core/vdom";
import * as css from "./index.m.css";
export default class TextInput extends WidgetBase {
    render() {
        const { value, onValue } = this.properties;
        return (tsx("input", { classes: [css.root], value: value, oninput: (event) => {
                event.stopPropagation();
                onValue && onValue(event.target.value);
            } }));
    }
}

/*# sourceMappingURL=index.mjs.map*/